/// This file uses the UMD module syntax to allow isUnsupportedBrowser to be
/// exposed as a global in index.html and be imported and tested through nodejs

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define([], factory);
    } else if (typeof module === 'object' && module.exports) {
        module.exports = factory();
    } else {
        root.isUnsupportedBrowser = factory();
  }
}(typeof self !== 'undefined' ? self : this, function () {
    var isUnsupportedBrowser = function(userAgent) {
        // Internet Explorer
        if (/MSIE|Trident/.test(userAgent)) {
            return true;
        }
    
        // Microsoft EdgeHTML
        var edge = userAgent.indexOf('Edge');
        if (edge > -1) {
            return true
        }
        return false;
    };
    return isUnsupportedBrowser;
}));